Bug 1815785 - Review Request: rust-fedora-update-feedback - Provide feedback for fedora updates (inspired by fedora-easy-karma)
Summary: Review Request: rust-fedora-update-feedback - Provide feedback for fedora upd...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Raits
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-21 18:04 UTC by Fabio Valentini
Modified: 2020-10-22 22:29 UTC (History)
3 users (show)

Fixed In Version: rust-fedora-update-feedback-0.5.0-2.fc33
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-23 13:10:38 UTC
Type: ---
igor.raits: fedora-review+


Attachments (Terms of Use)

Description Fabio Valentini 2020-03-21 18:04:08 UTC
Spec URL: https://decathorpe.fedorapeople.org/packages/rust-fedora-update-feedback.spec
SRPM URL: https://decathorpe.fedorapeople.org/packages/rust-fedora-update-feedback-0.5.0-2.fc31.src.rpm

Description:
Provide feedback for fedora updates (inspired by fedora-easy-karma).

Fedora Account System Username: decathorpe

koji scratch build for rawhide: https://koji.fedoraproject.org/koji/taskinfo?taskID=42670410

Note: This package had a previous life in COPR, and I'd like to keep the changelog and Release compatible with those packages.

Comment 1 Igor Raits 2020-03-23 08:29:18 UTC
Technically license for -n %{crate} should be different, but it is possible to fix during import.

Comment 2 Fabio Valentini 2020-03-23 11:25:46 UTC
Thanks for the review!

I'll add this before import:

# Licenses of dependencies:
# $ rpm -qa --qf '%%{LICENSE}\n' 'rust-*-devel' | sort -u
# - (MIT or ASL 2.0) and BSD
# - ASL 2.0
# - ASL 2.0 or Boost
# - ASL 2.0 or MIT
# - BSD
# - MIT
# - MIT or ASL 2.0
# - Unlicense or MIT
License:        ASL 2.0 and BSD and MIT

dist-git repo request:
https://pagure.io/releng/fedora-scm-requests/issue/23532

Comment 3 Igor Raits 2020-03-23 11:40:04 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/rust-fedora-update-feedback

Comment 4 Fabio Valentini 2020-03-23 13:10:38 UTC
Built for rawhide:
https://koji.fedoraproject.org/koji/buildinfo?buildID=1480843


Note You need to log in before you can comment on or make changes to this bug.